function [grid] = makeSpringsFromTri(grid)
% function [grid] = makeSpringsFromTri(grid)
%
%
% Dr. A. I. Hanna (2007)
T = grid.tri_info.T;
pts = grid.tri_info.pts;
region_tri_ind = grid.region_tri_ind;
num_regions = length(region_tri_ind);
spring_edge = [];
for i=1:num_regions
    reg_tri_ind = region_tri_ind{i};
    for j = reg_tri_ind
        tri = T(j,:);
        tri = cat(2, tri, tri(1));
        for s = 1:length(tri)-1
            spring_edge = cat(1, spring_edge, [tri(s), tri(s+1), i]);
        end
    end
end
grid.tri_info.spring_edge = spring_edge;
return;